Bug 1032937 - Define navigation nodes with external links
Define navigation nodes with external links
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER01
: 6.2.0
Assigned To: Peter Palaga
Filip Kiss
6_2 In_Progress
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 04:31 EST by Anurag
Modified: 2016-10-30 18:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, Navigation Nodes did not offer the option to specify external links in the navigation, or open in a new window. These configuration requirements are now supported in the Portal API.
Story Points: ---
Clone Of:
Environment:
- JBoss Portal Platform - 6.x
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2428 Major Resolved Create navigation node pointing on external URI 2016-05-12 10:46 EDT

  None (edit)
Description Anurag 2013-11-21 04:31:17 EST
Description of problem:

Looking for a way to define navigation nodes with external links. 
In Portal 4.3, they used page properties to store the information about the external links, and used these in a custom navigation portlet.

Version-Release number of selected component (if applicable):

- JBoss Portal Platform
 - 6.x

Additional info:

There is an open JIRA, hence creating a BZ for this feature request.

https://issues.jboss.org/browse/GTNPORTAL-2428
Comment 4 Peter Palaga 2014-01-17 04:25:54 EST
There is a wiki page with a solution proposal and space to discuss it.
Comment 5 Peter Palaga 2014-01-17 04:26:49 EST
Sorry, I forgot to paste the link :) 
https://community.jboss.org/wiki/CustomNavigatonNodeProperties
Comment 6 JBoss JIRA Server 2014-04-04 17:38:44 EDT
Peter Palaga <ppalaga@redhat.com> updated the status of jira GTNPORTAL-2428 to Resolved
Comment 7 Peter Palaga 2014-04-04 17:40:40 EDT
Merged in upstream some time ago https://github.com/gatein/gatein-portal/commit/f263b691fd4f31f66642b995ba5b6996f38ed342
Comment 8 Filip Kiss 2014-05-26 04:26:52 EDT
Verified on JPP 6.2.0.ER02

Note You need to log in before you can comment on or make changes to this bug.